Bug 227249 - [maintainer-update] security/botan2: Update to 2.5.0
Summary: [maintainer-update] security/botan2: Update to 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-03 11:13 UTC by Ralf van der Enden
Modified: 2018-04-13 09:58 UTC (History)
1 user (show)

See Also:


Attachments
Update to Botan 2.5.0 (2.02 KB, patch)
2018-04-03 11:13 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Bump PORTREVISION of dependent ports (1.53 KB, patch)
2018-04-03 20:02 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-04-03 11:13:19 UTC
Created attachment 192165 [details]
Update to Botan 2.5.0

Most notable bugfix:
- Fix error in certificate wildcard matching (CVE-2018-9127), where a wildcard cert for b*.example.com would be accepted as a match for any host with name *b*.example.com (GH #1519)

Full changelog:
https://botan.randombit.net/news.html#version-2-5-0-2018-04-02
Comment 1 Ralf van der Enden 2018-04-03 20:02:06 UTC
Created attachment 192184 [details]
Bump PORTREVISION of dependent ports
Comment 2 Ralf van der Enden 2018-04-03 20:05:56 UTC
Added the second patch, since the Botan update changes the shlib version.
Comment 3 commit-hook freebsd_committer 2018-04-04 08:37:48 UTC
A commit references this bug:

Author: krion
Date: Wed Apr  4 08:36:45 UTC 2018
New revision: 466403
URL: https://svnweb.freebsd.org/changeset/ports/466403

Log:
  Update to version 2.5.0

  PR:		227249
  Submitted by:	maintainer

Changes:
  head/security/botan2/Makefile
  head/security/botan2/distinfo
  head/security/botan2/pkg-plist
Comment 4 commit-hook freebsd_committer 2018-04-13 09:58:34 UTC
A commit references this bug:

Author: krion
Date: Fri Apr 13 09:57:44 UTC 2018
New revision: 467231
URL: https://svnweb.freebsd.org/changeset/ports/467231

Log:
  MFH: r466403

  Update to version 2.5.0

  PR:		227249
  Submitted by:	maintainer

  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/security/botan2/Makefile
  branches/2018Q2/security/botan2/distinfo
  branches/2018Q2/security/botan2/pkg-plist